Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.xml.security
Interface SecurityAssertion

All Known Implementing Classes:
  ConfidentialityAssertion, IdentityAssertion, IntegrityAssertion

Deprecated. please use new WS Security API

public interface SecurityAssertion

SecurityAssertion.java The SecurityAssertion interface marks classes being security assertions and provides simple type checking interface. SecurityAssertions represent the set of security claims that have been verified as result of some security processing. For example, a digital signature verified with x509 certificate will provide assertions about the integrity of the message and the identity of the sender. Created: Thu Aug 8 09:02:14 2002

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static String` | `CONFIDENTIALITY_ASSERTION` Deprecated.
`static int` | `CONFIDENTIALITY_CODE` Deprecated.
`static String` | `IDENTITY_ASSERTION` Deprecated.
`static int` | `IDENTITY_CODE` Deprecated.
`static String` | `INTEGRITY_ASSERTION` Deprecated.
`static int` | `INTEGRITY_CODE` Deprecated.
`static String` | `TYPE_CONFIDENTIALITY_ASSERTION` Deprecated.
`static int` | `TYPE_CONFIDENTIALITY_CODE` Deprecated.
`static String` | `TYPE_INTEGRITY_ASSERTION` Deprecated.
`static int` | `TYPE_INTEGRITY_CODE` Deprecated.

Method Summary
`String` | `getAssertionType()` Deprecated. `getAssertionType` returns the type of the assertion (e.g.
`int` | `getAssertionTypeCode()` Deprecated. Returns an integer that uniquely identifies the type of assertion.
`boolean` | `isAssertionType(String assertionType)` Deprecated. `isAssertionType` tests to see whether the type of the assertion matches the passed in type.
`boolean` | `repudiable()` Deprecated. `repudiable` returns repudiablility of an assertion -- i.e.

Field Detail

### CONFIDENTIALITY_ASSERTION

    public static final String CONFIDENTIALITY_ASSERTION

  Deprecated.
  See Also:
    Constant Field Values

### CONFIDENTIALITY_CODE

    public static final int CONFIDENTIALITY_CODE

  Deprecated.
  See Also:
    Constant Field Values

### IDENTITY_ASSERTION

    public static final String IDENTITY_ASSERTION

  Deprecated.
  See Also:
    Constant Field Values

### IDENTITY_CODE

    public static final int IDENTITY_CODE

  Deprecated.
  See Also:
    Constant Field Values

### INTEGRITY_ASSERTION

    public static final String INTEGRITY_ASSERTION

  Deprecated.
  See Also:
    Constant Field Values

### INTEGRITY_CODE

    public static final int INTEGRITY_CODE

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_CONFIDENTIALITY_ASSERTION

    public static final String TYPE_CONFIDENTIALITY_ASSERTION

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_CONFIDENTIALITY_CODE

    public static final int TYPE_CONFIDENTIALITY_CODE

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_INTEGRITY_ASSERTION

    public static final String TYPE_INTEGRITY_ASSERTION

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_INTEGRITY_CODE

    public static final int TYPE_INTEGRITY_CODE

  Deprecated.
  See Also:
    Constant Field Values

Method Detail

### getAssertionType

    public String getAssertionType()

  Deprecated.
  `getAssertionType` returns the type of the assertion (e.g. identity, integrity, confidentiality) as a string.

  Returns:
    a `String` value representing the assertion type

### getAssertionTypeCode

    public int getAssertionTypeCode()

  Deprecated.
  Returns an integer that uniquely identifies the type of assertion.

  Returns:

### isAssertionType

    public boolean isAssertionType(String assertionType)

  Deprecated.
  `isAssertionType` tests to see whether the type of the assertion matches the passed in type.

  Parameters:
    `assertionType` - a `String` value
  Returns:
    a `boolean` value indicating the match result.

### repudiable

    public boolean repudiable()

  Deprecated.
  `repudiable` returns repudiablility of an assertion -- i.e. can the the creator reasonably deny that they performed the operation that backs this assertion. This is generally true for public/private key based operations where the operation is performed by the private key that is available only to a single individual or entity. True non-repudiation is only acheived in the context of solid practices (e.g. secure storage of keys, regular updates of revocation lists, certificate chain validation, etc.) and binding agreements between parties. This property indicates only that the backing operation supports non-repudiation.

  Returns:
    a `boolean` value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD